> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scholarai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Analyze a Project

> Accepts a project_name, and asks a question to every paper within. If no project is specified, uses a project named "GPT"



## OpenAPI

````yaml get /api/analyze_project
openapi: 3.1.0
info:
  title: No title
  version: No version
servers:
  - url: https://api.scholarai.io
security:
  - ApiKeyAuth: []
tags:
  - name: Api
paths:
  /api/analyze_project:
    get:
      tags:
        - Api
      summary: Batch Analyze a Project
      description: >-
        Accepts a project_name, and asks a question to every paper within. If no
        project is specified, uses a project named "GPT"
      operationId: api_analyze_project
      parameters:
        - in: query
          name: project_name
          description: The name of the project to analyze.
          schema:
            type: string
          required: true
        - in: query
          name: analysis_mode
          description: >-
            The mode of analysis, options are 'comprehensive' and 'tabular'.
            Default to `tabular`.
          schema:
            type: string
          required: true
        - in: query
          name: question
          description: Questions to analyze within the project.
          schema:
            type: array
            items:
              type: string
          required: true
          explode: true
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyzeProjectResponse'
          description: OK
components:
  schemas:
    AnalyzeProjectResponse:
      type: object
      properties:
        response:
          type: string
          description: >-
            A markdown string that must be repeated verbatim. NEVER summarize
            any part of the response, ALWAYS repeat it directly
        tool_hint:
          type: string
          description: A hint you MUST follow with regards to this response
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-scholarai-api-key
      in: header

````